package UI.GameState;
/*** In The Name of Allah ***/

import UI.GameFrame;
import UI.MyListener;

import java.awt.event.*;
import java.util.ArrayList;


/**
 * This class holds the state of the game and all of its elements.
 * This class also handles user inputs, which affect the game state.
 *
 * @author Seyede zahra seyed fatehi
 */
public class TankState {

    public int locX, locY, diam, rotate;
    public boolean gameOver;
    protected WallState walls;
    protected ArrayList<BulletState> bullets = new ArrayList<>();


    public TankState(WallState walls) {
        this.walls = walls;
        // Initialize the game state and all elements ...
        locX = 100;
        locY = 100;
        rotate = 0;

        diam = 32;
        gameOver = false;
    }




    public WallState getWalls() {
        return walls;
    }

    public ArrayList<BulletState> getBullets() {
        return bullets;
    }

    public MyListener getMyListener() {
        return null;
    }
}

